<div>
<input [(ngModel)]="inputData" 
(ngModelChange)="onInputChange($event)"
placeholder="filter..."/>
<select name="sortbyParam" [(ngModel)]="SortbyParam"
(ngModelChange)="onSortbyParamChange($event)"
class="minimal"
> 
<option selected value="">Whithout sort</option>
  <option value="name">Name</option>
  <option value="createdDate">createdDate</option>
  <option value="todo">Number Tasks Todo</option>
  <option value="progress">Number Tasks In Progress</option>
  <option value="done">Number Tasks Done</option>
</select>
<button (click)="onSortDirectionAsc()" ngDefaultControl [(ngModel)]="SortDirection">Ascending</button>
<button (click)="onSortDirectionDesc()" ngDefaultControl [(ngModel)]="SortDirection">Descending</button>

</div>


  


